Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5101)
@@ -424,10 +424,10 @@
   SUBROUTINE phytracr_spl_out_init()
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    !AS : This subroutine centralises the ALLOCATE needed for the 1st call of
+    !AS : This subroutine centralises the ALLOCATE needed for the 1st CALL of
     !     phys_output_write_spl in physiq
 
     USE dimphy
-    USE infotrac_phy, ONLY : nbtr
-    USE dustemission_mod, ONLY : dustemis_out_init
+    USE infotrac_phy, ONLY: nbtr
+    USE dustemission_mod, ONLY: dustemis_out_init
 
     ! pour les variables m[1-3]dflux
@@ -699,8 +699,8 @@
       fileregionsdimsbb = 'regions_bb_meta'
       fileregionsdimswstar = 'regions_pwstarwake_meta'
-      call  readregionsdims2_spl(nbreg_ind, fileregionsdimsind)
-      call  readregionsdims2_spl(nbreg_dust, fileregionsdimsdust)
-      call  readregionsdims2_spl(nbreg_bb, fileregionsdimsbb)
-      call  readregionsdims2_spl(nbreg_wstardust, fileregionsdimswstar)
+      CALL  readregionsdims2_spl(nbreg_ind, fileregionsdimsind)
+      CALL  readregionsdims2_spl(nbreg_dust, fileregionsdimsdust)
+      CALL  readregionsdims2_spl(nbreg_bb, fileregionsdimsbb)
+      CALL  readregionsdims2_spl(nbreg_wstardust, fileregionsdimswstar)
     ENDIF ! ASSIM
     ! fin debranchage
@@ -792,6 +792,6 @@
 
     USE mod_phys_lmdz_transfert_para
-    USE lmdz_thermcell_dq, ONLY : thermcell_dq
-    USE phys_cal_mod, only : jD_1jan, year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
+    USE lmdz_thermcell_dq, ONLY: thermcell_dq
+    USE phys_cal_mod, ONLY: jD_1jan, year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
             mth_cur, phys_cal_update
 
@@ -806,5 +806,5 @@
     ! Remarques en vrac:
     ! ------------------
-    ! 1/ le call phytrac se fait avec nqmax-2 donc nous avons bien
+    ! 1/ le CALL phytrac se fait avec nqmax-2 donc nous avons bien
     ! les vrais traceurs (nbtr) dans phytrac (pas la vapeur ni eau liquide)
     !! AS : nqmax-2 devrait etre nqmax-3 apres introducton de H2Oi ;
@@ -1231,5 +1231,5 @@
          itr = itr+1
          write(str2,'(i2.2)') itrr
-         call iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -1297,5 +1297,5 @@
     !AS: La ligne suivante fait planter a l'execution : lmt_so2ff_l pas initialise
     !  print *,'lmt_so2ff_l AVANT' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
-    call read_newemissions(ijulday, jH_cur, edgar, flag_dms, debutphy, & !I
+    CALL read_newemissions(ijulday, jH_cur, edgar, flag_dms, debutphy, & !I
             pdtphys, lafin, nbjour, pctsrf, &       !I
             t_seri, rlat, rlon, &                         !I
@@ -1396,12 +1396,12 @@
       if (ok_chimeredust) then
         if (.not.(id_scdu>0 .and. id_codu>0 .and. id_fine>0)) then
-          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 0', 1)
+          CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 0', 1)
         endif
       else
         if (id_scdu>0) then
-          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU', 1)
+          CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU', 1)
         endif
         if ((id_codu <= 0) .or. (id_fine<=0)) then
-          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1', 1)
+          CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1', 1)
         endif
       endif
@@ -1660,5 +1660,5 @@
       !Config
       iflag_lscav_omp = 4
-      call getin('iflag_lscav', iflag_lscav_omp)
+      CALL getin('iflag_lscav', iflag_lscav_omp)
       iflag_lscav = iflag_lscav_omp
       ! initialiation for time computation
@@ -1826,11 +1826,11 @@
         c_FullName1 = 'regions_dustacc'
         !c_FullName1='regions_dust'
-        call readregions_spl(iregion_dust, c_FullName1)
+        CALL readregions_spl(iregion_dust, c_FullName1)
         c_FullName1 = 'regions_ind'
-        call readregions_spl(iregion_ind, c_FullName1)
+        CALL readregions_spl(iregion_ind, c_FullName1)
         c_FullName1 = 'regions_bb'
-        call readregions_spl(iregion_bb, c_FullName1)
+        CALL readregions_spl(iregion_bb, c_FullName1)
         c_FullName1 = 'regions_pwstarwake'
-        call readregions_spl(iregion_wstardust, c_FullName1)
+        CALL readregions_spl(iregion_wstardust, c_FullName1)
 
         !$OMP MASTER
@@ -1944,5 +1944,5 @@
         aux_var2(i) = pctsrf(i, is_oce)
       enddo
-      call gather(aux_var2, auxklon_glo)
+      CALL gather(aux_var2, auxklon_glo)
       !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
@@ -1957,5 +1957,5 @@
         aux_var2(i) = pctsrf(i, is_sic)
       enddo
-      call gather(aux_var2, auxklon_glo)
+      CALL gather(aux_var2, auxklon_glo)
       !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
@@ -1970,5 +1970,5 @@
         aux_var2(i) = pctsrf(i, is_ter)
       enddo
-      call gather(aux_var2, auxklon_glo)
+      CALL gather(aux_var2, auxklon_glo)
       !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
@@ -1983,5 +1983,5 @@
         aux_var2(i) = pctsrf(i, is_lic)
       enddo
-      call gather(aux_var2, auxklon_glo)
+      CALL gather(aux_var2, auxklon_glo)
       !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
@@ -2068,10 +2068,10 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
-         call iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2101,6 +2101,6 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
-         call iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
 #endif
@@ -2124,17 +2124,17 @@
 #ifdef IOPHYS_DUST
       print *,'INPUT TO PRECUREMISSION'
-         call iophys_ecrit('ftsol',4,'ftsol','',ftsol)
-         call iophys_ecrit('u10m_ec',1,'u10m_ec','',u10m_ec)
-         call iophys_ecrit('v10m_ec',1,'v10m_ec','',v10m_ec)
-         call iophys_ecrit('pctsrf',4,'pctsrf','',pctsrf)
-         call iophys_ecrit('u_seri',klev,'u_seri','',u_seri)
-         call iophys_ecrit('v_seri',klev,'v_seri','',v_seri)
-         call iophys_ecrit('paprs',klev,'paprs','',paprs)
-         call iophys_ecrit('pplay',klev,'pplay','',pplay)
-         call iophys_ecrit('cdragh',1,'cdragh','',cdragh)
-         call iophys_ecrit('cdragm',1,'cdragm','',cdragm)
-         call iophys_ecrit('t_seri',klev,'t_seri','',t_seri)
-         call iophys_ecrit('q_seri',klev,'q_seri','',q_seri)
-         call iophys_ecrit('tsol',1,'tsol','',tsol)
+         CALL iophys_ecrit('ftsol',4,'ftsol','',ftsol)
+         CALL iophys_ecrit('u10m_ec',1,'u10m_ec','',u10m_ec)
+         CALL iophys_ecrit('v10m_ec',1,'v10m_ec','',v10m_ec)
+         CALL iophys_ecrit('pctsrf',4,'pctsrf','',pctsrf)
+         CALL iophys_ecrit('u_seri',klev,'u_seri','',u_seri)
+         CALL iophys_ecrit('v_seri',klev,'v_seri','',v_seri)
+         CALL iophys_ecrit('paprs',klev,'paprs','',paprs)
+         CALL iophys_ecrit('pplay',klev,'pplay','',pplay)
+         CALL iophys_ecrit('cdragh',1,'cdragh','',cdragh)
+         CALL iophys_ecrit('cdragm',1,'cdragm','',cdragm)
+         CALL iophys_ecrit('t_seri',klev,'t_seri','',t_seri)
+         CALL iophys_ecrit('q_seri',klev,'q_seri','',q_seri)
+         CALL iophys_ecrit('tsol',1,'tsol','',tsol)
          print*,'fracso2emis,frach2sofso2,bateau',fracso2emis,frach2sofso2,bateau
          print*,'kminbc,kmaxbc,pdtphys',kminbc,kmaxbc,pdtphys
@@ -2142,22 +2142,22 @@
          print*,'iregion_ind,iregion_bb,nbreg_ind, nbreg_bb',iregion_ind,iregion_bb,nbreg_ind, nbreg_bb
          print*,'id_prec,id_fine',id_prec,id_fine
-         call iophys_ecrit('zdz',klev,'zdz','',zdz)
-         call iophys_ecrit('zalt',klev,'zalt','',zalt)
-         call iophys_ecrit('lmt_so2ff_l',1,'lmt_so2ff_l','',lmt_so2ff_l)
-         call iophys_ecrit('lmt_so2ff_h',1,'lmt_so2ff_h','',lmt_so2ff_h)
-         call iophys_ecrit('lmt_so2nff',1,'lmt_so2nff','',lmt_so2nff)
-         call iophys_ecrit('lmt_so2ba',1,'lmt_so2ba','',lmt_so2ba)
-         call iophys_ecrit('lmt_so2bb_l',1,'lmt_so2bb_l','',lmt_so2bb_l)
-         call iophys_ecrit('lmt_so2bb_h',1,'lmt_so2bb_h','',lmt_so2bb_h)
-         call iophys_ecrit('lmt_so2volc_cont',1,'lmt_so2volc_cont','',lmt_so2volc_cont)
-         call iophys_ecrit('lmt_altvolc_cont',1,'lmt_altvolc_cont','',lmt_altvolc_cont)
-         call iophys_ecrit('lmt_so2volc_expl',1,'lmt_so2volc_expl','',lmt_so2volc_expl)
-         call iophys_ecrit('lmt_altvolc_expl',1,'lmt_altvolc_expl','',lmt_altvolc_expl)
-         call iophys_ecrit('lmt_dmsbio',1,'lmt_dmsbio','',lmt_dmsbio)
-         call iophys_ecrit('lmt_h2sbio',1,'lmt_h2sbio','',lmt_h2sbio)
-         call iophys_ecrit('lmt_dmsconc',1,'lmt_dmsconc','',lmt_dmsconc)
-         call iophys_ecrit('lmt_dms',1,'lmt_dms','',lmt_dms)
-         call iophys_ecrit('flux_sparam_ind',1,'flux_sparam_ind','',flux_sparam_ind)
-         call iophys_ecrit('flux_sparam_bb',1,'flux_sparam_bb','',flux_sparam_bb)
+         CALL iophys_ecrit('zdz',klev,'zdz','',zdz)
+         CALL iophys_ecrit('zalt',klev,'zalt','',zalt)
+         CALL iophys_ecrit('lmt_so2ff_l',1,'lmt_so2ff_l','',lmt_so2ff_l)
+         CALL iophys_ecrit('lmt_so2ff_h',1,'lmt_so2ff_h','',lmt_so2ff_h)
+         CALL iophys_ecrit('lmt_so2nff',1,'lmt_so2nff','',lmt_so2nff)
+         CALL iophys_ecrit('lmt_so2ba',1,'lmt_so2ba','',lmt_so2ba)
+         CALL iophys_ecrit('lmt_so2bb_l',1,'lmt_so2bb_l','',lmt_so2bb_l)
+         CALL iophys_ecrit('lmt_so2bb_h',1,'lmt_so2bb_h','',lmt_so2bb_h)
+         CALL iophys_ecrit('lmt_so2volc_cont',1,'lmt_so2volc_cont','',lmt_so2volc_cont)
+         CALL iophys_ecrit('lmt_altvolc_cont',1,'lmt_altvolc_cont','',lmt_altvolc_cont)
+         CALL iophys_ecrit('lmt_so2volc_expl',1,'lmt_so2volc_expl','',lmt_so2volc_expl)
+         CALL iophys_ecrit('lmt_altvolc_expl',1,'lmt_altvolc_expl','',lmt_altvolc_expl)
+         CALL iophys_ecrit('lmt_dmsbio',1,'lmt_dmsbio','',lmt_dmsbio)
+         CALL iophys_ecrit('lmt_h2sbio',1,'lmt_h2sbio','',lmt_h2sbio)
+         CALL iophys_ecrit('lmt_dmsconc',1,'lmt_dmsconc','',lmt_dmsconc)
+         CALL iophys_ecrit('lmt_dms',1,'lmt_dms','',lmt_dms)
+         CALL iophys_ecrit('flux_sparam_ind',1,'flux_sparam_ind','',flux_sparam_ind)
+         CALL iophys_ecrit('flux_sparam_bb',1,'flux_sparam_bb','',flux_sparam_bb)
 #endif
 
@@ -2198,6 +2198,6 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
-         call iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,itr))
+         CALL iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,itr))
       enddo
 #endif
@@ -2242,6 +2242,6 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
-         call iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,itr))
+         CALL iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
+         CALL iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,itr))
       enddo
 #endif
@@ -2298,5 +2298,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2338,5 +2338,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2406,11 +2406,11 @@
 #ifdef IOPHYS_DUST
       print*,'iflag_conv=',iflag_conv
-      call iophys_ecrit('coefh',klev,'coefh','',coefh)
-      call iophys_ecrit('yu1',1,'yu1','',yu1)
-      call iophys_ecrit('yv1',1,'yv1','',yv1)
-      call iophys_ecrit('delp',klev,'delp','',delp)
+      CALL iophys_ecrit('coefh',klev,'coefh','',coefh)
+      CALL iophys_ecrit('yu1',1,'yu1','',yu1)
+      CALL iophys_ecrit('yv1',1,'yv1','',yv1)
+      CALL iophys_ecrit('delp',klev,'delp','',delp)
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2604,5 +2604,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2691,5 +2691,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -2856,5 +2856,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3033,27 +3033,27 @@
 
 #ifdef IOPHYS_DUST
-      call iophys_ecrit('da',klev,'da','',da)
-      call iophys_ecrit('phi',klev,'phi','',phi)
-      call iophys_ecrit('phi2',klev,'phi2','',phi2)
-      call iophys_ecrit('d1a',klev,'d1a','',d1a)
-      call iophys_ecrit('dam',klev,'dam','',dam)
-      call iophys_ecrit('mp',klev,'mp','',mp)
-      call iophys_ecrit('ep',klev,'ep','',ep)
-      call iophys_ecrit('sigd',klev,'sigd','',sigd)
-      call iophys_ecrit('sij',klev,'sij','',sij)
-      call iophys_ecrit('wght_cvfd',klev,'wght_cvfd','',wght_cvfd)
-      call iophys_ecrit('clw',klev,'clw','',clw)
-      call iophys_ecrit('elij',klev,'elij','',elij)
-      call iophys_ecrit('epmlmMm',klev,'epmlmMm','',epmlmMm)
-      call iophys_ecrit('eplaMm',klev,'eplaMm','',eplaMm)
-      call iophys_ecrit('pmflxr',klev,'pmflxr','',pmflxr)
-      call iophys_ecrit('pmflxs',klev,'pmflxs','',pmflxs)
-      call iophys_ecrit('evapls',klev,'evapls','',evapls)
-      call iophys_ecrit('wdtrainA',klev,'wdtrainA','',wdtrainA)
-      call iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
+      CALL iophys_ecrit('da',klev,'da','',da)
+      CALL iophys_ecrit('phi',klev,'phi','',phi)
+      CALL iophys_ecrit('phi2',klev,'phi2','',phi2)
+      CALL iophys_ecrit('d1a',klev,'d1a','',d1a)
+      CALL iophys_ecrit('dam',klev,'dam','',dam)
+      CALL iophys_ecrit('mp',klev,'mp','',mp)
+      CALL iophys_ecrit('ep',klev,'ep','',ep)
+      CALL iophys_ecrit('sigd',klev,'sigd','',sigd)
+      CALL iophys_ecrit('sij',klev,'sij','',sij)
+      CALL iophys_ecrit('wght_cvfd',klev,'wght_cvfd','',wght_cvfd)
+      CALL iophys_ecrit('clw',klev,'clw','',clw)
+      CALL iophys_ecrit('elij',klev,'elij','',elij)
+      CALL iophys_ecrit('epmlmMm',klev,'epmlmMm','',epmlmMm)
+      CALL iophys_ecrit('eplaMm',klev,'eplaMm','',eplaMm)
+      CALL iophys_ecrit('pmflxr',klev,'pmflxr','',pmflxr)
+      CALL iophys_ecrit('pmflxs',klev,'pmflxs','',pmflxs)
+      CALL iophys_ecrit('evapls',klev,'evapls','',evapls)
+      CALL iophys_ecrit('wdtrainA',klev,'wdtrainA','',wdtrainA)
+      CALL iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
 
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3176,5 +3176,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3442,5 +3442,5 @@
       do itr=1,nbtr
          write(str2,'(i2.2)') itr
-         call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
+         CALL iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -4384,32 +4384,32 @@
     IF (test_sca == 0) THEN
       ! READ file!!
-      call read_scalenc(filescaleparams, paramname_ind, &
+      CALL read_scalenc(filescaleparams, paramname_ind, &
               nbreg_ind, step_sca, &
               scale_param_ind)
-      call read_scalenc(filescaleparams, paramname_bb, &
+      CALL read_scalenc(filescaleparams, paramname_bb, &
               nbreg_bb, step_sca, &
               scale_param_bb)
-      call read_scalenc(filescaleparams, paramname_ff, &
+      CALL read_scalenc(filescaleparams, paramname_ff, &
               nbreg_ff, step_sca, &
               scale_param_ff)
-      call read_scalenc(filescaleparams, paramname_dustacc, &
+      CALL read_scalenc(filescaleparams, paramname_dustacc, &
               nbreg_dustacc, step_sca, &
               scale_param_dustacc)
-      call read_scalenc(filescaleparams, paramname_dustcoa, &
+      CALL read_scalenc(filescaleparams, paramname_dustcoa, &
               nbreg_dustcoa, step_sca, &
               scale_param_dustcoa)
-      call read_scalenc(filescaleparams, paramname_dustsco, &
+      CALL read_scalenc(filescaleparams, paramname_dustsco, &
               nbreg_dustsco, step_sca, &
               scale_param_dustsco)
-      call read_scalenc(filescaleparams, paramname_wstarBL, &
+      CALL read_scalenc(filescaleparams, paramname_wstarBL, &
               nbreg_wstardustBL, step_sca, &
               param_wstarBLperregion)
-      call read_scalenc(filescaleparams, paramname_wstarWAKE, &
+      CALL read_scalenc(filescaleparams, paramname_wstarWAKE, &
               nbreg_wstardustWAKE, step_sca, &
               param_wstarWAKEperregion)
-      call read_scalenc(filescaleparams, paramname_ssacc, &
+      CALL read_scalenc(filescaleparams, paramname_ssacc, &
               nbreg_ssacc, step_sca, &
               scale_param_ssacc_tmp)
-      call read_scalenc(filescaleparams, paramname_sscoa, &
+      CALL read_scalenc(filescaleparams, paramname_sscoa, &
               nbreg_sscoa, step_sca, &
               scale_param_sscoa_tmp)
@@ -4435,5 +4435,5 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
-    USE netcdf, ONLY : nf90_open, nf90_close, nf90_inq_varid, nf90_nowrite, nf90_noerr, nf90_get_var
+    USE netcdf, ONLY: nf90_open, nf90_close, nf90_inq_varid, nf90_nowrite, nf90_noerr, nf90_get_var
     IMPLICIT NONE
 
@@ -4466,5 +4466,5 @@
             print *, 'error ierr= ', ierr
             CALL exit(1)
-            call abort_gcm('read_scalenc', 'error reading variable', 1)
+            CALL abort_gcm('read_scalenc', 'error reading variable', 1)
           ENDIF
 
@@ -4483,5 +4483,5 @@
     !$OMP BARRIER
     !      CALL scatter(var local _glo,var local) o algo asi
-    call bcast(scale_param)
+    CALL bcast(scale_param)
   END SUBROUTINE read_scalenc
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5101)
@@ -3,5 +3,5 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
-  USE netcdf, ONLY : nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
+  USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   IMPLICIT NONE
 
@@ -44,6 +44,6 @@
     status = nf90_get_var(ncid1, varid1, dust_nc_glo, start, count)
 
-    ! call correctbid(iim,jjp1,dust_nc)
-    call correctbid(nbp_lon, nbp_lat, dust_nc_glo)
+    ! CALL correctbid(iim,jjp1,dust_nc)
+    CALL correctbid(nbp_lon, nbp_lat, dust_nc_glo)
 
     !--upside down + physical grid
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5101)
@@ -181,7 +181,7 @@
 !$OMP END MASTER
 !$OMP BARRIER
-       call scatter(wth_glo,wth)
-       call scatter(cly_glo,cly)
-       call scatter(zprecipinsoil_glo,zprecipinsoil)
+       CALL scatter(wth_glo,wth)
+       CALL scatter(cly_glo,cly)
+       CALL scatter(zprecipinsoil_glo,zprecipinsoil)
 
 !JE20140908<<        GOTO 1000
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5101)
@@ -106,5 +106,5 @@
           status=nf90_get_var(ncid,varid,tmp_dyn_glo,start,count)
 
-!      call dump2d(iip1,jjp1,tmp_dyn,'tmp_dyn   ')
+!      CALL dump2d(iip1,jjp1,tmp_dyn,'tmp_dyn   ')
        DO j=1, nbp_lat
           DO ig=1, nbp_lon+1
@@ -114,21 +114,21 @@
 
        
-!JE20140522!          call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
+!JE20140522!          CALL gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
 
 !JE20140526<<
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
+!              CALL gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
            if (isinversed) then
-                        call gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
+                        CALL gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
    tmp_dyn_invers_glo, tmp_fi_glo)
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
-!              call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
+!              CALL gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
+!              CALL gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
            else      
-                        call gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
+                        CALL gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
      tmp_dyn_glo, tmp_fi_glo)
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
-!              call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
+!              CALL gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
+!              CALL gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
            endif
 !JE20140526>>
-!      call dump2d(iim,jjm-1,tmp_fi(2),'tmp_fi   ')
+!      CALL dump2d(iim,jjm-1,tmp_fi(2),'tmp_fi   ')
 
           DO j=1,klon_glo
@@ -145,5 +145,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-      call scatter(surfa_glo,surfa)
+      CALL scatter(surfa_glo,surfa)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5101)
@@ -3,5 +3,5 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
-  USE netcdf, ONLY : nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
+  USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
   IMPLICIT NONE
   INCLUDE "dimensions.h"
@@ -57,8 +57,8 @@
 
     !  print *,status
-    ! call correctbid(iim,jjp1,u10m_nc)
-    ! call correctbid(iim,jjp1,v10m_nc)
-    call correctbid(nbp_lon, nbp_lat, u10m_nc_glo)
-    call correctbid(nbp_lon, nbp_lat, v10m_nc_glo)
+    ! CALL correctbid(iim,jjp1,u10m_nc)
+    ! CALL correctbid(iim,jjp1,v10m_nc)
+    CALL correctbid(nbp_lon, nbp_lat, u10m_nc_glo)
+    CALL correctbid(nbp_lon, nbp_lat, v10m_nc_glo)
 
     ! print *,'afterbidcor u10m_nc', u10m_nc(1,jjp1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5101)
@@ -108,9 +108,9 @@
     if (Jwarm) then
        if (rain_effect) then
-          call Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
+          CALL Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
                tau_with_min, taur, hlb, rhoa, xlv, dtime, t_ocean_1, s1, rain, &
                q_pwp = fxp * rns - (hf + hlb + rnl + rf))
        else
-          call Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
+          CALL Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
                tau_with_min, taur, hlb, rhoa, xlv, dtime, t_ocean_1, s1, &
                rain = null_array, q_pwp = fxp * rns - (hf + hlb + rnl))
@@ -132,9 +132,9 @@
                * (1. - exp(- tkt / 8e-4))) ! equation 16 Ohlmann
           if (rain_effect) then
-             call Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
+             CALL Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
                   s_subskin, al, xlv, taur, rf, rain, &
                   qcol = rnl + hf + hlb - dels)
           else
-             call Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
+             CALL Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
                   s_subskin, al, xlv, taur, rf = null_array, &
                   rain = null_array, qcol = rnl + hf + hlb - dels)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5101)
@@ -42,10 +42,10 @@
 
 #ifdef IN_LMDZ
-    call getin_p("activate_ocean_skin", activate_ocean_skin)
-    call assert(activate_ocean_skin >= 0 .and. activate_ocean_skin <= 2, &
+    CALL getin_p("activate_ocean_skin", activate_ocean_skin)
+    CALL assert(activate_ocean_skin >= 0 .and. activate_ocean_skin <= 2, &
          "config_ocean_skin bad value of activate_ocean_skin")
     if (activate_ocean_skin >= 1) then
-       call getin_p("flag_ocean_skin", flag_ocean_skin)
-       call getin_p("depth_1", depth_1)
+       CALL getin_p("flag_ocean_skin", flag_ocean_skin)
+       CALL getin_p("depth_1", depth_1)
     end if
 #else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5101)
@@ -10,5 +10,5 @@
   USE aerophys
   USE infotrac_phy
-  USE strataer_local_var_mod, ONLY : flag_new_nucl
+  USE strataer_local_var_mod, ONLY: flag_new_nucl
   USE lmdz_yomcst
   
@@ -39,5 +39,5 @@
   REAL ipr     ! Ion pair production rate (cm-3 s-1) NOT IN USE
 
-  ! call nucleation routine
+  ! CALL nucleation routine
   IF (.NOT.flag_new_nucl) THEN
     ! Use older routine from Hanna Vehkamäki (FMI)
@@ -73,5 +73,5 @@
   USE aerophys
   USE infotrac_phy
-  USE strataer_local_var_mod, ONLY : Vbin
+  USE strataer_local_var_mod, ONLY: Vbin
   
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5101)
@@ -4,7 +4,7 @@
 SUBROUTINE STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE strataer_local_var_mod
-  USE lmdz_yomcst, only : RPI
+  USE lmdz_yomcst, ONLY: RPI
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5101)
@@ -6,13 +6,13 @@
                     stretchlong,ispeci,id_species_total) 
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE strataer_local_var_mod
   USE phys_cal_mod
   USE phys_local_var_mod, ONLY: d_q_emiss
-  USE lmdz_yomcst, only : RD, RPI, RG
-  USE geometry_mod, ONLY : cell_area, boundslat
+  USE lmdz_yomcst, ONLY: RD, RPI, RG
+  USE geometry_mod, ONLY: cell_area, boundslat
   USE aerophys
   USE infotrac_phy
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
   USE mod_grid_phy_lmdz, ONLY: nbp_lon
  
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5101)
@@ -25,6 +25,6 @@
 !        assuming 'curved surface' composition (depends on aerosol size)
     
-      USE dimphy, ONLY : klon,klev ! nb of longitude and altitude bands
-      USE infotrac_phy, ONLY : nbtr_bin
+      USE dimphy, ONLY: klon,klev ! nb of longitude and altitude bands
+      USE infotrac_phy, ONLY: nbtr_bin
       USE aerophys
       USE phys_local_var_mod, ONLY: R2SO4, R2SO4B, DENSO4, DENSO4B, f_r_wet, f_r_wetB
@@ -164,5 +164,5 @@
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
  
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE aerophys
     USE phys_local_var_mod, ONLY: R2SO4
@@ -550,5 +550,5 @@
 !   ACTSO4: H2SO4 activity (percent)
  
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE phys_local_var_mod, ONLY: R2SO4
 
@@ -635,5 +635,5 @@
 !   DENSO4: aerosol mass density (gr/cm3 = aerosol mass/aerosol volume)
 
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE phys_local_var_mod, ONLY: R2SO4, DENSO4
 
@@ -986,5 +986,5 @@
 !        mfh2so4 = Mh2so4*sulfmolal / (1000.+Mh2so4*sulfmolal) 
 !        wph2so4 (% mass fraction)= 100.*Mh2so4*sulfmolal / (1000.+Mh2so4*sulfmolal) 
-!        recall activity of i = a_i = P_i/P_pure_i and 
+!        reCALL activity of i = a_i = P_i/P_pure_i and
 !          activity coefficient of i = gamma_i = a_i/X_i (X_i: mole fraction of i)
 !        so  P_i = gamma_i*X_i*P_pure_i
